# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Book'
        db.create_table('book_book', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=20)),
            ('date_of_release', self.gf('django.db.models.fields.DateField')()),
        ))
        db.send_create_signal('book', ['Book'])


    def backwards(self, orm):
        # Deleting model 'Book'
        db.delete_table('book_book')


    models = {
        'book.book': {
            'Meta': {'object_name': 'Book'},
            'date_of_release': ('django.db.models.fields.DateField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        }
    }

    complete_apps = ['book']